libpurple-2.10.11-7.el7.i686.rpm


Advertisement

Description

libpurple - libpurple library for IM clients like Pidgin and Finch

Property Value
Distribution CentOS 7
Repository CentOS x86_64
Package name libpurple
Package version 2.10.11
Package release 7.el7
Package architecture i686
Package type rpm
Installed size 26.28 MB
Download size 5.39 MB
Official Mirror mirror.centos.org
libpurple contains the core IM support for IM clients such as Pidgin
and Finch.
libpurple supports a variety of messaging protocols including AIM, Jabber,
Bonjour, ICQ, IRC, Novell Groupwise, QQ, Lotus Sametime, Simple and Zephyr.

Alternatives

Package Version Architecture Repository
libpurple-2.10.11-7.el7.x86_64.rpm 2.10.11 x86_64 CentOS
libpurple - - -

Requires

Name Value
/sbin/ldconfig -
/usr/bin/python -
ca-certificates -
cyrus-sasl-md5 -
cyrus-sasl-plain -
cyrus-sasl-scram -
glib2 >= 2.50
libavahi-client.so.3 -
libavahi-common.so.3 -
libavahi-glib.so.1 -
libc.so.6(GLIBC_2.15) -
libdbus-1.so.3 -
libdbus-glib-1.so.2 -
libdl.so.2 -
libfarstream-0.1.so.0 -
libglib-2.0.so.0 -
libgmodule-2.0.so.0 -
libgobject-2.0.so.0 -
libgstbase-0.10.so.0 -
libgstinterfaces-0.10.so.0 -
libgstreamer-0.10.so.0 -
libgthread-2.0.so.0 -
libidn.so.11 -
libidn.so.11(LIBIDN_1.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libmeanwhile.so.1 -
libnsl.so.1 -
libnspr4.so -
libnss3.so -
libnss3.so(NSS_3.2) -
libnss3.so(NSS_3.3) -
libnss3.so(NSS_3.4) -
libnssutil3.so -
libplc4.so -
libplds4.so -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.2) -
libresolv.so.2 -
libresolv.so.2(GLIBC_2.2) -
libsasl2.so.3 -
libsmime3.so -
libsmime3.so(NSS_3.4) -
libssl3.so -
libssl3.so(NSS_3.12.6) -
libssl3.so(NSS_3.14) -
libssl3.so(NSS_3.2) -
libssl3.so(NSS_3.4) -
libxml2.so.2 -
libxml2.so.2(LIBXML2_2.4.30) -
libxml2.so.2(LIBXML2_2.6.0) -
rtld(GNU_HASH) -

Provides

Name Value
config(libpurple) = 2.10.11-7.el7
libbonjour.so -
libicq.so -
libirc.so -
libjabber.so.0 -
libnovell.so -
liboscar.so.0 -
libpurple = 2.10.11-7.el7
libpurple(x86-32) = 2.10.11-7.el7
libpurple-client.so.0 -
libpurple.so.0 -
libsametime.so -
libsimple.so -
libtmpone_time_password.so.so -
libxmpp.so -
libzephyr.so -

Obsoletes

Name Value
gaim < 1
gaim-meanwhile -

Download

Type URL
Binary Package libpurple-2.10.11-7.el7.i686.rpm
Source Package pidgin-2.10.11-7.el7.src.rpm

Install Howto

Install libpurple rpm package:

# yum install libpurple

Files

Path
/etc/purple/prefs.xml
/usr/bin/purple-client-example
/usr/bin/purple-remote
/usr/bin/purple-send
/usr/bin/purple-send-async
/usr/bin/purple-url-handler
/usr/lib/libpurple-client.so.0
/usr/lib/libpurple-client.so.0.10.11
/usr/lib/libpurple.so.0
/usr/lib/libpurple.so.0.10.11
/usr/lib/purple-2/autoaccept.so
/usr/lib/purple-2/buddynote.so
/usr/lib/purple-2/dbus-example.so
/usr/lib/purple-2/idle.so
/usr/lib/purple-2/joinpart.so
/usr/lib/purple-2/libbonjour.so
/usr/lib/purple-2/libicq.so
/usr/lib/purple-2/libirc.so
/usr/lib/purple-2/libjabber.so.0
/usr/lib/purple-2/libjabber.so.0.0.0
/usr/lib/purple-2/libnovell.so
/usr/lib/purple-2/liboscar.so.0
/usr/lib/purple-2/liboscar.so.0.0.0
/usr/lib/purple-2/libsametime.so
/usr/lib/purple-2/libsimple.so
/usr/lib/purple-2/libxmpp.so
/usr/lib/purple-2/libzephyr.so
/usr/lib/purple-2/log_reader.so
/usr/lib/purple-2/newline.so
/usr/lib/purple-2/nss-prefs.so
/usr/lib/purple-2/offlinemsg.so
/usr/lib/purple-2/one_time_password.so
/usr/lib/purple-2/psychic.so
/usr/lib/purple-2/ssl-nss.so
/usr/lib/purple-2/ssl.so
/usr/lib/purple-2/statenotify.so
/usr/share/doc/libpurple-2.10.11/COPYING
/usr/share/doc/libpurple-2.10.11/purple-notifications-example
/usr/share/locale/af/LC_MESSAGES/pidgin.mo
/usr/share/locale/am/LC_MESSAGES/pidgin.mo
/usr/share/locale/ar/LC_MESSAGES/pidgin.mo
/usr/share/locale/ast/LC_MESSAGES/pidgin.mo
/usr/share/locale/az/LC_MESSAGES/pidgin.mo
/usr/share/locale/be@latin/LC_MESSAGES/pidgin.mo
/usr/share/locale/bg/LC_MESSAGES/pidgin.mo
/usr/share/locale/bn/LC_MESSAGES/pidgin.mo
/usr/share/locale/bn_IN/LC_MESSAGES/pidgin.mo
/usr/share/locale/bs/LC_MESSAGES/pidgin.mo
/usr/share/locale/ca/LC_MESSAGES/pidgin.mo
/usr/share/locale/ca@valencia/LC_MESSAGES/pidgin.mo
/usr/share/locale/cs/LC_MESSAGES/pidgin.mo
/usr/share/locale/da/LC_MESSAGES/pidgin.mo
/usr/share/locale/de/LC_MESSAGES/pidgin.mo
/usr/share/locale/dz/LC_MESSAGES/pidgin.mo
/usr/share/locale/el/LC_MESSAGES/pidgin.mo
/usr/share/locale/en_AU/LC_MESSAGES/pidgin.mo
/usr/share/locale/en_CA/LC_MESSAGES/pidgin.mo
/usr/share/locale/en_GB/LC_MESSAGES/pidgin.mo
/usr/share/locale/eo/LC_MESSAGES/pidgin.mo
/usr/share/locale/es/LC_MESSAGES/pidgin.mo
/usr/share/locale/et/LC_MESSAGES/pidgin.mo
/usr/share/locale/eu/LC_MESSAGES/pidgin.mo
/usr/share/locale/fa/LC_MESSAGES/pidgin.mo
/usr/share/locale/fi/LC_MESSAGES/pidgin.mo
/usr/share/locale/fr/LC_MESSAGES/pidgin.mo
/usr/share/locale/ga/LC_MESSAGES/pidgin.mo
/usr/share/locale/gl/LC_MESSAGES/pidgin.mo
/usr/share/locale/gu/LC_MESSAGES/pidgin.mo
/usr/share/locale/he/LC_MESSAGES/pidgin.mo
/usr/share/locale/hi/LC_MESSAGES/pidgin.mo
/usr/share/locale/hr/LC_MESSAGES/pidgin.mo
/usr/share/locale/hu/LC_MESSAGES/pidgin.mo
/usr/share/locale/id/LC_MESSAGES/pidgin.mo
/usr/share/locale/it/LC_MESSAGES/pidgin.mo
/usr/share/locale/ja/LC_MESSAGES/pidgin.mo
/usr/share/locale/ka/LC_MESSAGES/pidgin.mo
/usr/share/locale/kk/LC_MESSAGES/pidgin.mo
/usr/share/locale/km/LC_MESSAGES/pidgin.mo
/usr/share/locale/kn/LC_MESSAGES/pidgin.mo
/usr/share/locale/ko/LC_MESSAGES/pidgin.mo
/usr/share/locale/ku/LC_MESSAGES/pidgin.mo
/usr/share/locale/ku_IQ/LC_MESSAGES/pidgin.mo
/usr/share/locale/lt/LC_MESSAGES/pidgin.mo
/usr/share/locale/lv/LC_MESSAGES/pidgin.mo
/usr/share/locale/mai/LC_MESSAGES/pidgin.mo
/usr/share/locale/mhr/LC_MESSAGES/pidgin.mo
/usr/share/locale/mk/LC_MESSAGES/pidgin.mo
/usr/share/locale/mn/LC_MESSAGES/pidgin.mo
/usr/share/locale/mr/LC_MESSAGES/pidgin.mo
/usr/share/locale/my_MM/LC_MESSAGES/pidgin.mo
/usr/share/locale/nb/LC_MESSAGES/pidgin.mo
/usr/share/locale/ne/LC_MESSAGES/pidgin.mo
/usr/share/locale/nl/LC_MESSAGES/pidgin.mo
/usr/share/locale/nn/LC_MESSAGES/pidgin.mo
/usr/share/locale/oc/LC_MESSAGES/pidgin.mo
/usr/share/locale/or/LC_MESSAGES/pidgin.mo
/usr/share/locale/pa/LC_MESSAGES/pidgin.mo
/usr/share/locale/pl/LC_MESSAGES/pidgin.mo
/usr/share/locale/ps/LC_MESSAGES/pidgin.mo
/usr/share/locale/pt/LC_MESSAGES/pidgin.mo
/usr/share/locale/pt_BR/LC_MESSAGES/pidgin.mo
/usr/share/locale/ro/LC_MESSAGES/pidgin.mo
/usr/share/locale/ru/LC_MESSAGES/pidgin.mo
/usr/share/locale/si/LC_MESSAGES/pidgin.mo
/usr/share/locale/sk/LC_MESSAGES/pidgin.mo
/usr/share/locale/sl/LC_MESSAGES/pidgin.mo
/usr/share/locale/sq/LC_MESSAGES/pidgin.mo
/usr/share/locale/sr/LC_MESSAGES/pidgin.mo
/usr/share/locale/sr@latin/LC_MESSAGES/pidgin.mo
/usr/share/locale/sv/LC_MESSAGES/pidgin.mo
/usr/share/locale/sw/LC_MESSAGES/pidgin.mo
/usr/share/locale/ta/LC_MESSAGES/pidgin.mo
/usr/share/locale/te/LC_MESSAGES/pidgin.mo
/usr/share/locale/th/LC_MESSAGES/pidgin.mo
/usr/share/locale/tr/LC_MESSAGES/pidgin.mo
/usr/share/locale/tt/LC_MESSAGES/pidgin.mo
/usr/share/locale/uk/LC_MESSAGES/pidgin.mo
/usr/share/locale/ur/LC_MESSAGES/pidgin.mo
/usr/share/locale/vi/LC_MESSAGES/pidgin.mo
/usr/share/locale/xh/LC_MESSAGES/pidgin.mo
/usr/share/locale/zh_CN/LC_MESSAGES/pidgin.mo
/usr/share/locale/zh_HK/LC_MESSAGES/pidgin.mo
/usr/share/locale/zh_TW/LC_MESSAGES/pidgin.mo
/usr/share/purple/
/usr/share/purple/ca-certs/AOL_Member_CA.pem
/usr/share/purple/ca-certs/DigiCertHighAssuranceCA-3.pem
/usr/share/purple/ca-certs/Microsoft_Internet_Authority_2010.pem
/usr/share/purple/ca-certs/Microsoft_Secure_Server_Authority_2010.pem
/usr/share/purple/ca-certs/VeriSign_Class3_Extended_Validation_CA.pem
/usr/share/purple/ca-certs/VeriSign_International_Server_Class_3_CA.pem
/usr/share/sounds/purple/alert.wav
/usr/share/sounds/purple/login.wav
/usr/share/sounds/purple/logout.wav
/usr/share/sounds/purple/receive.wav
/usr/share/sounds/purple/send.wav

Changelog

2017-10-12 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.11-7
- Drop AIM in RHEL
Resolves: #1500403
2017-10-06 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.11-6
- Drop MSN, MySpace and Yahoo! support in RHEL
Resolves: #1470677, #1470681, #1470685
2017-05-19 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.11-5
- Drop MXit support in RHEL
Resolves: #1439296
2017-04-27 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.11-4
- Silence -Wsign-compare
- Rename the previous patch for consistency
Resolves: #1445921, #1446368
2017-04-26 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.11-3
- Avoid a use-after-free in an error path
Resolves: #1445921
2017-03-28 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.11-2
- Add patch for CVE-2017-2640
Resolves: #1431022
2016-08-25 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.11-1
- Update to 2.10.11
Resolves: #1369526
2016-03-24 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.7-26
- Bump release to be higher than the EPEL build
Resolves: #1297461
2016-03-21 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.7-24
- Disable build_only_libs on RHEL 7.
Resolves: #1297461
2014-08-19 - Ray Strode <rstrode@redhat.com> 2.10.7-23
- Stop mucking with dist
- Drop support for really old rhel
Resolves: #1028568

See Also

Package Description
libpurple-devel-2.10.11-7.el7.i686.rpm Development headers, documentation, and libraries for libpurple
libpurple-devel-2.10.11-7.el7.x86_64.rpm Development headers, documentation, and libraries for libpurple
libpurple-perl-2.10.11-7.el7.x86_64.rpm Perl scripting support for libpurple
libpurple-tcl-2.10.11-7.el7.x86_64.rpm Tcl scripting support for libpurple
libpwquality-1.2.3-5.el7.i686.rpm A library for password generation and password quality checking
libpwquality-1.2.3-5.el7.x86_64.rpm A library for password generation and password quality checking
libpwquality-devel-1.2.3-5.el7.i686.rpm Support for development of applications using the libpwquality library
libpwquality-devel-1.2.3-5.el7.x86_64.rpm Support for development of applications using the libpwquality library
libqb-1.0.1-7.el7.i686.rpm An IPC library for high performance servers
libqb-1.0.1-7.el7.x86_64.rpm An IPC library for high performance servers
libqb-devel-1.0.1-7.el7.i686.rpm Development files for libqb
libqb-devel-1.0.1-7.el7.x86_64.rpm Development files for libqb
libqmi-1.18.0-2.el7.i686.rpm Support library to use the Qualcomm MSM Interface (QMI) protocol
libqmi-1.18.0-2.el7.x86_64.rpm Support library to use the Qualcomm MSM Interface (QMI) protocol
libqmi-devel-1.18.0-2.el7.i686.rpm Header files for adding QMI support to applications that use glib
Advertisement
Advertisement